package it.unina.dsf.knomelab;


import org.junit.Before;
import org.junit.Test;
import org.junit.Assert;

public class SupervisorTest {

	private ISupervisor supervisor;
	
	@Before
	public void setUp() throws Exception {
		this.supervisor = new Supervisor();
	}
	
	@Test
	public void testInitializationCounter(){
		Assert.assertEquals(0, this.supervisor.countPushes());
	}
	
	@Test
	public void testCounterIncrementWhenNotificationMethodCalled(){
		ISupervisor sup = new Supervisor();
		Assert.assertEquals(0, sup.countPushes());
		sup.notifyPush();
		Assert.assertEquals(1, sup.countPushes());
	}

}
