import datetime

class DatePattern:

    def __init__(self, year, month, day):
        self.year  = year
        self.month = month
        self.day   = day

    def matches(self, date):
        return (self.yearMatches(date) and
                self.monthMatches(date) and
                self.dayMatches(date))
    
    def yearMatches(self, date):
        if not self.year: return True
        return self.year == date.year
    
    def monthMatches(self, date):
        if not self.month: return True
        return self.month == date.month
    
    def dayMatches(self, date):
        if not self.day: return True
        return self.day == date.day
